
set status [ SclFunction "EXIT GRAPHICS" {
  frm00108={
    {
      exit_mode="E"
    }
  }
}]

set status [ SclFunction "RECALL ANY FILE" {
  file="pit&dump.str"
  mode="none"
}]

set status [ SclFunction "RECALL ANY FILE" {
  file="pit_dump_road_centreline.str"
  mode="none"
}]

set status [ SclFunction "ZOOM ALL" {} ]

set status [ SclFunction "WINDOW IN" {
  window_drag={
    {
      winx1="-0.205"
      winy1="0.391"
      winx2="0.176"
      winy2="-0.177"
      objectx1="33.471"
      objecty1="1287.303"
      objectz1="982.500"
      objectx2="482.444"
      objecty2="895.798"
      objectz2="982.500"
    }
  }
}]

set status [ SclFunction "LOCATE ANGLE" {} ]

set status [ SclFunction "TOOL MODE TRADITIONAL" {} ]

set status [ SclFunction "TOOL CANCEL CURRENT" {} ]

set status [ SclFunction "SELECT LAYER" {
  activelayer="main graphics layer"
}]

set status [ SclFunction "DESIGN STRING" {
  frm00071={
    {
      _action=display
      idesign_string="4"
    }
  }
}]


set status [ SclFunction "LOCATE ANGLE" {
  select_point=table { winx winy objectx objecty objectz } {
    { "-0.224" "0.175" "10.124" "1138.244" "982.500" }
    { "-0.205" "0.143" "33.471" "1116.693" "982.500" }
  }
  frm00026={
    {
      _action=display
      units="percentage"
      design_grade="0"
      angle="0.0000"
      distance="0"
    }
  }
}]

set status [ SclFunction "TOOL MODE TRADITIONAL" {} ]

set status [ SclFunction "TOOL CANCEL CURRENT" {} ]

set status [ SclFunction "LOCATE ANGLE" {
  select_point=table { winx winy objectx objecty objectz } {
    { "-0.223" "0.177" "11.920" "1140.040" "982.500" }
    { "-0.206" "0.141" "31.675" "1114.897" "982.500" }
  }
  frm00026={
    {
      _action=display
      units="percentage"
      design_grade="0"
      angle="90.0000"
      distance="200"
    }
  }
}]

set status [ SclFunction "TOOL MODE TRADITIONAL" {} ]

set status [ SclFunction "TOOL CANCEL CURRENT" {} ]

set status [ SclFunction "CURVE END" {
  select_point=table { winx winy objectx objecty objectz } {
    { "-0.195" "0.156" "44.246" "1125.673" "982.500" }
    { "-0.074" "0.354" "187.918" "1262.161" "982.500" }
  }
  frm00057={
    {
      _action=display
      dirn="A"
      radius="200"
      ang_or_length="L"
      clen="300"
      arcdist="30"
      use_entry_transition="Y"
      entry_transition_length="44.688"
      use_exit_transition="Y"
      exit_transition_length="44.688"
      required_velocity="50"
    }
  }
}]


set status [ SclFunction "DRAW DESC" {
  frm00089={
    {
      _action=display
      range1=""
      range2=""
      range3=""
      ifld_num="d1"
      textalignment="<"
      position="All points"
      layer_name="main graphics layer"
    }
  }
}]

set status [ SclFunction "DRAW MARKERS" {
  frm00089={
    {
      _action="display"
      range1=""
      range2=""
      range3=""
      ifld_num="d1"
      textalignment="<"
      position="All points"
      layer_name="main graphics layer"
    }
  }
}]

set status [ SclFunction "BEARING AND DISTANCE" {
  select_point=table { winx winy objectx objecty objectz } {
    { "0.275" "0.563" "222.206" "1513.136" "982.500" }
    { "0.262" "0.615" "213.842" "1534.045" "982.500" }
  }
}]

set status [ SclFunction "TOOL MODE TRADITIONAL" {} ]

set status [ SclFunction "TOOL CANCEL CURRENT" {} ]

set status [ SclFunction "LOCATE BEARING" {
  select_point={
    {
      winx="0.253"
      winy="0.628"
      objectx="207.570"
      objecty="1539.272"
      objectz="982.500"
    }
  }
  frm00030={
    {
      _action=display
      design_grade="0"
      bearing="331.4910"
      distance="200"
      units="percentage"
    }
  }
}]


set status [ SclFunction "DESIGN STRING" {
  frm00071={
    {
      _action=display
      idesign_string="9"
    }
  }
}]

set status [ SclFunction "MAKE PILLARS" {
  frm00202={
    {
      _action=display
      cl_string_range="4"
      ifldnum="1"
      road_width="30"
      width_from_desc="N"
    }
  }
}]

set status [ SclFunction "FILE SAVE" {
  frmsaveFileAs={
    {
      _action=display
      AutoCAD={
        version="Autocad 18"
      }
      output_file="surpac2str:entrance_road"
      outputExt=".str"
      saveStyle="N"
      Datamine={
        binary_precision="Single"
      }
      Surpac={
        FileFormat="text"
        ForceValidation="true"
        Purpose=""
        ForceCompatibility="true"
        range=""
      }
      output_type="Surpac String Files"
    }
  }
}]

puts ""
puts ""
puts "macro 1a_curve_end.tcl sucessfully completed."
puts ""

